var descripcion = '#ORDEN'+Math.random().toString(36).replace(/[^a-zA-Z]+/g, '').substr(0, 10)

function pago_rapido(){
    // Llave Publica
    Culqi.publicKey = 'pk_test_cd52ca8315a9af36'

    let total = document.getElementById('price').textContent
    let cantidad = document.getElementById('cantidad').value
    let monto = total*cantidad

    Culqi.settings({
        title: 'Tienda Simple',
        currency: 'PEN',
        description: descripcion,
        amount: parseFloat(monto*100),
    });

    if($("#check").is(':checked')){
        Culqi.open();;
    }else{
        Swal.fire({
            type: 'warning',
            title: 'Oops...',
            text: 'Debes aceptar los terminos y condiciones.',
            showConfirmButton: true,
        })
    }
}

function culqi() {

    var producto = document.getElementById('compra-rapida').getAttribute('data-id');
    let total = document.getElementById('price').textContent
    let cantidad = document.getElementById('cantidad').value
    let monto = total*cantidad

    if (Culqi.token) { // ¡Objeto Token creado exitosamente!
        var token = Culqi.token.id;
        var email = Culqi.token.email;
        var url = '../pagar';
        var data = {producto: producto, productos:null, token: token, email:email, descripcion: descripcion, monto: monto, _token : $('meta[name="csrf-token"]').attr('content')};

        $.ajax({
            type: "POST",
            url: url,
            data: data,
            success: function(res){
                var result = "";
                if(res.constructor == String){
                    result = JSON.parse(res);
                }
                if(res.constructor == Object){
                    result = JSON.parse(JSON.stringify(res));
                }
                if(result.object === "charge"){
                    
                    Swal.fire({
                        type: 'success',
                        title: 'Exitoso...',
                        text: result.outcome.user_message,
                        showConfirmButton: false,
                        timer: 2000
                    })

                    var urlOrden = '../orden/crear-orden-rapida';
                    var orden = { 
                        producto: producto,
                        productos: null,
                        num_orden: result.description,
                        total: result.amount,
                        transaction_id:result.id,
                        fraud_score:result.fraud_score,
                        cantidad:cantidad,
                        email:email,
                        _token : $('meta[name="csrf-token"]').attr('content')
                    };

                    console.log('Generando orden ...*');
                    $.ajax({
                        type: "POST",
                        url: urlOrden,
                        data: orden,
                        success: function(res){
                            setTimeout(() => {
                                console.log("OK" , res);
                                window.location = "/";
                            }, 2000);
                        },
                        error: function(err){
                            console.log(err);
                        },
                    })

                }if(result.object === "error"){
                    Swal.fire({
                        type: 'warning',
                        title: 'Ojo...',
                        text: result.user_message,
                        showConfirmButton: false,
                        timer: 2000
                    })
                }
            },
            error: function(error_data){
                var data = "";
                if(error_data.constructor == String){
                    data = JSON.parse(error_data);
                }
                if(error_data.constructor == Object){
                    data = JSON.parse(JSON.stringify(error_data));
                }
                Swal.fire({
                    type: 'error',
                    title:'Ocurrio un error...',
                    text: 'Error',
                    showConfirmButton: false,
                    timer: 2000
                })
            },
        });

    } else { // ¡Hubo algún problema!
        // Mostramos JSON de objeto error en consola
        //console.log(Culqi.error);
        Swal.fire({
            type: 'error',
            title:'Ocurrio un error...',
            text: Culqi.error.user_message,
            showConfirmButton: false,
            timer: 2000
        })
    }
};